diff -ruN src.bkp/lib/dict.c src/lib/dict.c
--- src.bkp/lib/dict.c	2009-08-11 21:43:37.000000000 -0300
+++ src/lib/dict.c	2009-08-11 21:10:26.000000000 -0300
@@ -421,7 +421,7 @@
 	size_t length;
 	DICT_VENDOR *dv;
 
-	if (value >= 32767) {
+	if (value >= 65535) {
 	       	fr_strerror_printf("dict_addvendor: Cannot handle vendor ID larger than 65535");
 		return -1;
 	}
diff -ruN src.bkp/modules/rlm_eap/types/rlm_eap_ttls/ttls.c src/modules/rlm_eap/types/rlm_eap_ttls/ttls.c
--- src.bkp/modules/rlm_eap/types/rlm_eap_ttls/ttls.c	2009-08-11 21:43:37.000000000 -0300
+++ src/modules/rlm_eap/types/rlm_eap_ttls/ttls.c	2009-08-11 21:43:01.000000000 -0300
@@ -226,8 +226,8 @@
 				return NULL;
 			}
 
-			if (vendor > 32767) {
-				RDEBUG2("Cannot handle vendor Id greater than 32767");
+			if (vendor > 65535) {
+				RDEBUG2("Cannot handle vendor Id greater than 65535");
 				pairfree(&first);
 				return NULL;
 			}
